pdbseq {bio3d} | R Documentation

## Extract The Aminoacid Sequence From A PDB Object

### Description

Return a vector of the one-letter IUPAC or three-letter PDB style aminoacid codes from a given PDB object.

### Usage

    pdbseq(pdb, inds = NULL, aa1 = TRUE)

### Arguments

`pdb` | a PDB structure object obtained from `read.pdb`.
`inds` | a list object of ATOM and XYZ indices as obtained from `atom.select`.
`aa1` | logical, if TRUE then the one-letter IUPAC sequence is returned. IF FALSE then the three-letter PDB style sequence is returned.

### Details

See the examples below and the functions `atom.select` and `aa321` for further details.

### Value

A character vector of aminoacid codes.

### Author(s)

Barry Grant

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

For a description of IUPAC one-letter codes see:
http://www.chem.qmul.ac.uk/iupac/AminoAcid/

For more information on PDB residue codes see:
http://ligand-expo.rcsb.org/ld-search.html

### See Also

`read.pdb`, `atom.select`, `aa321`, `read.fasta`

### Examples

    ## Not run:
    pdb <- read.pdb( "5p21" )
    pdbseq(pdb)

    #pdbseq(pdb, inds=atom.select(pdb, resno=5:15, elety="CA"), aa1=FALSE)

    ## End(Not run)

[Package bio3d version 2.3-4 Index]